WSE · Schnittstellen

Reporting

Verbinden Sie WSE mit Ihren Anwendungen. Entdecken Sie Endpunkte, Datenmodelle und Schnittstellen – nach Funktionsbereichen und Add-ons geordnet.

OpenAPI herunterladen ↓
REST · JSONBearer-Authentifizierung

Reporting

ERP API Dokumentation

Catalog

Request

Security
BearerAuth
GET
/reporting/v1/catalog
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/catalog' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Bodyapplication/json
datasetsArray of objects(Datasets)required
versioninteger(Version)
Default:1
Value:1
default_page_sizeinteger(Default Page Size)
Default:500
max_page_sizeinteger(Max Page Size)
Default:2000
max_filter_depthinteger(Max Filter Depth)
Default:6
max_filter_conditionsinteger(Max Filter Conditions)
Default:64
comparison_operatorsArray of strings(Comparison Operators)
Default:["eq","ne","gt","ge","lt","le"]
string_functionsArray of strings(String Functions)
Default:["contains","startswith","endswith","tolower","toupper"]
date_granularitiesArray of strings(Date Granularities)
Default:["year","month","day"]
Response
{ "version": 1, "datasets": [ { … } ], "default_page_size": 500, "max_page_size": 2000, "max_filter_depth": 6, "max_filter_conditions": 64, "comparison_operators": [ "eq", "ne", "gt", "ge", "lt", "le" ], "string_functions": [ "contains", "startswith", "endswith", "tolower", "toupper" ], "date_granularities": [ "year", "month", "day" ] }

Query

Request

Security
BearerAuth
Bodyapplication/jsonrequired
definitionobject(QueryDefinition)required
page_sizeinteger, [ 1 .. 2000 ](Page Size)
Default:500
cursorstring or null(Cursor)
Any of:
<= 16384 characters
string
include_countboolean(Include Count)
Default:false
visualizationVisualization (object) or null
Any of:
POST
/reporting/v1/query
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
  --url 'https://your-instance.example.invalid/reporting/v1/query' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "page_size": 500,
  "cursor": "string",
  "include_count": false,
  "definition": {
    "version": 1,
    "dataset": "string",
    "select": [
      "string"
    ],
    "filter": {
      "kind": "comparison",
      "operator": "eq",
      "left": {
        "kind": "field",
        "field": "string",
        "transform": "tolower"
      },
      "right": {
        "kind": "field",
        "field": "string",
        "transform": "tolower"
      }
    },
    "group_by": [
      {
        "field": "string",
        "granularity": "year",
        "alias": "string"
      }
    ],
    "aggregates": [
      {
        "method": "sum",
        "field": "string",
        "alias": "string"
      }
    ],
    "order_by": [
      {
        "field": "string",
        "direction": "asc"
      }
    ]
  },
  "visualization": {
    "type": "table",
    "category": "string",
    "measures": [
      "string"
    ],
    "series": "string",
    "title": "",
    "category_label": "",
    "value_label": "",
    "orientation": "vertical",
    "fill_missing": false,
    "period_field": "string",
    "period_start": "2019-08-24",
    "period_end": "2019-08-24",
    "relative_months": 1
  }
}'

Responses

Successful Response

Bodyapplication/json
columnsArray of objects(Columns)required
rowsArray of objects(Rows)required
reference_datestring or null(Reference Date)
Any of:
string (date)
query_revisioninteger or null(Query Revision)
Any of:
integer
period_startstring or null(Period Start)
Any of:
string (date)
period_endstring or null(Period End)
Any of:
string (date)
next_cursorstring or null(Next Cursor)
Any of:
string
countinteger or null(Count)
Any of:
integer
Response
{ "reference_date": "2019-08-24", "query_revision": 0, "period_start": "2019-08-24", "period_end": "2019-08-24", "columns": [ { … } ], "rows": [ { … } ], "next_cursor": "string", "count": 0 }

List Queries

Request

Security
BearerAuth
Query
afterstring or null(After)
Any of:
string (uuid)
limitinteger, [ 1 .. 200 ](Limit)
Default:50
GET
/reporting/v1/queries
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/queries?after=497f6eca-6276-4993-bfeb-53cbbbba6f08&limit=50' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Bodyapplication/json
itemsArray of objects(Items)required
next_cursorstring or null(Next Cursor)
Any of:
string (uuid)
Response
{ "items": [ { … } ], "next_cursor": "a7ec8888-a9c3-4732-a281-9a08510f220b" }

Create Query

Request

Security
BearerAuth
Bodyapplication/jsonrequired
namestring, [ 1 .. 200 ] characters(Name)\Srequired
definitionobject(QueryDefinition)required
descriptionstring or null(Description)
Any of:
<= 2000 characters
string
visibilitystring(Visibility)
Default:"private"
Enum:"private""shared"
visualizationVisualization (object) or null
Any of:
POST
/reporting/v1/queries
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
  --url 'https://your-instance.example.invalid/reporting/v1/queries' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "name": "string",
  "description": "string",
  "visibility": "private",
  "definition": {
    "version": 1,
    "dataset": "string",
    "select": [
      "string"
    ],
    "filter": {
      "kind": "comparison",
      "operator": "eq",
      "left": {
        "kind": "field",
        "field": "string",
        "transform": "tolower"
      },
      "right": {
        "kind": "field",
        "field": "string",
        "transform": "tolower"
      }
    },
    "group_by": [
      {
        "field": "string",
        "granularity": "year",
        "alias": "string"
      }
    ],
    "aggregates": [
      {
        "method": "sum",
        "field": "string",
        "alias": "string"
      }
    ],
    "order_by": [
      {
        "field": "string",
        "direction": "asc"
      }
    ]
  },
  "visualization": {
    "type": "table",
    "category": "string",
    "measures": [
      "string"
    ],
    "series": "string",
    "title": "",
    "category_label": "",
    "value_label": "",
    "orientation": "vertical",
    "fill_missing": false,
    "period_field": "string",
    "period_start": "2019-08-24",
    "period_end": "2019-08-24",
    "relative_months": 1
  }
}'

Responses

Successful Response

Bodyapplication/json
namestring, [ 1 .. 200 ] characters(Name)\Srequired
definitionobject(QueryDefinition)required
query_idstring, (uuid)(Query Id)required
owner_actor_idstring, (uuid)(Owner Actor Id)required
revisioninteger(Revision)required
created_atstring, (date-time)(Created At)required
updated_atstring, (date-time)(Updated At)required
descriptionstring or null(Description)
Any of:
<= 2000 characters
string
visibilitystring(Visibility)
Default:"private"
Enum:"private""shared"
visualizationVisualization (object) or null
Any of:
Response
{ "name": "string", "description": "string", "visibility": "private", "definition": { "version": 1, "dataset": "string", "select": [ … ], "filter": { … }, "group_by": [ … ], "aggregates": [ … ], "order_by": [ … ] }, "visualization": { "type": "table", "category": "string", "measures": [ … ], "series": "string", "title": "", "category_label": "", "value_label": "", "orientation": "vertical", "fill_missing": false, "period_field": "string", "period_start": "2019-08-24", "period_end": "2019-08-24", "relative_months": 1 }, "query_id": "6fa29c22-6bab-424a-859e-a13a5c607e72", "owner_actor_id": "3bf288fc-ba48-4ae4-9802-b59cc9a4b067", "revision": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }

Get Query

Request

Security
BearerAuth
Path
query_idstring, (uuid)(Query Id)required
GET
/reporting/v1/queries/{query_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/queries/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Bodyapplication/json
namestring, [ 1 .. 200 ] characters(Name)\Srequired
definitionobject(QueryDefinition)required
query_idstring, (uuid)(Query Id)required
owner_actor_idstring, (uuid)(Owner Actor Id)required
revisioninteger(Revision)required
created_atstring, (date-time)(Created At)required
updated_atstring, (date-time)(Updated At)required
descriptionstring or null(Description)
Any of:
<= 2000 characters
string
visibilitystring(Visibility)
Default:"private"
Enum:"private""shared"
visualizationVisualization (object) or null
Any of:
Response
{ "name": "string", "description": "string", "visibility": "private", "definition": { "version": 1, "dataset": "string", "select": [ … ], "filter": { … }, "group_by": [ … ], "aggregates": [ … ], "order_by": [ … ] }, "visualization": { "type": "table", "category": "string", "measures": [ … ], "series": "string", "title": "", "category_label": "", "value_label": "", "orientation": "vertical", "fill_missing": false, "period_field": "string", "period_start": "2019-08-24", "period_end": "2019-08-24", "relative_months": 1 }, "query_id": "6fa29c22-6bab-424a-859e-a13a5c607e72", "owner_actor_id": "3bf288fc-ba48-4ae4-9802-b59cc9a4b067", "revision": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }

Update Query

Request

Security
BearerAuth
Path
query_idstring, (uuid)(Query Id)required
Bodyapplication/jsonrequired
namestring, [ 1 .. 200 ] characters(Name)\Srequired
definitionobject(QueryDefinition)required
revisioninteger, >= 1(Revision)required
descriptionstring or null(Description)
Any of:
<= 2000 characters
string
visibilitystring(Visibility)
Default:"private"
Enum:"private""shared"
visualizationVisualization (object) or null
Any of:
PUT
/reporting/v1/queries/{query_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request PUT \
  --url 'https://your-instance.example.invalid/reporting/v1/queries/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "name": "string",
  "description": "string",
  "visibility": "private",
  "definition": {
    "version": 1,
    "dataset": "string",
    "select": [
      "string"
    ],
    "filter": {
      "kind": "comparison",
      "operator": "eq",
      "left": {
        "kind": "field",
        "field": "string",
        "transform": "tolower"
      },
      "right": {
        "kind": "field",
        "field": "string",
        "transform": "tolower"
      }
    },
    "group_by": [
      {
        "field": "string",
        "granularity": "year",
        "alias": "string"
      }
    ],
    "aggregates": [
      {
        "method": "sum",
        "field": "string",
        "alias": "string"
      }
    ],
    "order_by": [
      {
        "field": "string",
        "direction": "asc"
      }
    ]
  },
  "visualization": {
    "type": "table",
    "category": "string",
    "measures": [
      "string"
    ],
    "series": "string",
    "title": "",
    "category_label": "",
    "value_label": "",
    "orientation": "vertical",
    "fill_missing": false,
    "period_field": "string",
    "period_start": "2019-08-24",
    "period_end": "2019-08-24",
    "relative_months": 1
  },
  "revision": 1
}'

Responses

Successful Response

Bodyapplication/json
namestring, [ 1 .. 200 ] characters(Name)\Srequired
definitionobject(QueryDefinition)required
query_idstring, (uuid)(Query Id)required
owner_actor_idstring, (uuid)(Owner Actor Id)required
revisioninteger(Revision)required
created_atstring, (date-time)(Created At)required
updated_atstring, (date-time)(Updated At)required
descriptionstring or null(Description)
Any of:
<= 2000 characters
string
visibilitystring(Visibility)
Default:"private"
Enum:"private""shared"
visualizationVisualization (object) or null
Any of:
Response
{ "name": "string", "description": "string", "visibility": "private", "definition": { "version": 1, "dataset": "string", "select": [ … ], "filter": { … }, "group_by": [ … ], "aggregates": [ … ], "order_by": [ … ] }, "visualization": { "type": "table", "category": "string", "measures": [ … ], "series": "string", "title": "", "category_label": "", "value_label": "", "orientation": "vertical", "fill_missing": false, "period_field": "string", "period_start": "2019-08-24", "period_end": "2019-08-24", "relative_months": 1 }, "query_id": "6fa29c22-6bab-424a-859e-a13a5c607e72", "owner_actor_id": "3bf288fc-ba48-4ae4-9802-b59cc9a4b067", "revision": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }

Delete Query

Request

Security
BearerAuth
Path
query_idstring, (uuid)(Query Id)required
Query
revisioninteger, >= 1(Revision)required
DELETE
/reporting/v1/queries/{query_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request DELETE \
  --url 'https://your-instance.example.invalid/reporting/v1/queries/497f6eca-6276-4993-bfeb-53cbbbba6f08?revision=1' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Execute Saved Query

Request

Security
BearerAuth
Path
query_idstring, (uuid)(Query Id)required
Bodyapplication/jsonrequired
page_sizeinteger, [ 1 .. 2000 ](Page Size)
Default:500
cursorstring or null(Cursor)
Any of:
<= 16384 characters
string
include_countboolean(Include Count)
Default:false
periodReportPeriod (object) or null
Any of:
period_fieldstring or null(Period Field)
Any of:
string
reference_datestring or null(Reference Date)
Any of:
string (date)
query_revisioninteger or null(Query Revision)
Any of:
>= 1
integer
POST
/reporting/v1/queries/{query_id}/execute
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
  --url 'https://your-instance.example.invalid/reporting/v1/queries/497f6eca-6276-4993-bfeb-53cbbbba6f08/execute' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "page_size": 500,
  "cursor": "string",
  "include_count": false,
  "period": {
    "period_start": "2019-08-24",
    "period_end": "2019-08-24",
    "relative_months": 1
  },
  "period_field": "string",
  "reference_date": "2019-08-24",
  "query_revision": 1
}'

Responses

Successful Response

Bodyapplication/json
columnsArray of objects(Columns)required
rowsArray of objects(Rows)required
reference_datestring or null(Reference Date)
Any of:
string (date)
query_revisioninteger or null(Query Revision)
Any of:
integer
period_startstring or null(Period Start)
Any of:
string (date)
period_endstring or null(Period End)
Any of:
string (date)
next_cursorstring or null(Next Cursor)
Any of:
string
countinteger or null(Count)
Any of:
integer
Response
{ "reference_date": "2019-08-24", "query_revision": 0, "period_start": "2019-08-24", "period_end": "2019-08-24", "columns": [ { … } ], "rows": [ { … } ], "next_cursor": "string", "count": 0 }

Execution Context

Request

Security
BearerAuth
GET
/reporting/v1/execution-context
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/execution-context' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Bodyapplication/json
reference_datestring, (date)(Reference Date)required
Response
{ "reference_date": "2019-08-24" }

List Dashboards

Request

Security
BearerAuth
Query
afterstring or null(After)
Any of:
string (uuid)
limitinteger, [ 1 .. 200 ](Limit)
Default:50
GET
/reporting/v1/dashboards
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/dashboards?after=497f6eca-6276-4993-bfeb-53cbbbba6f08&limit=50' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Bodyapplication/json
itemsArray of objects(Items)required
next_cursorstring or null(Next Cursor)
Any of:
string (uuid)
Response
{ "items": [ { … } ], "next_cursor": "a7ec8888-a9c3-4732-a281-9a08510f220b" }

Create Dashboard

Request

Security
BearerAuth
Bodyapplication/jsonrequired
namestring, [ 1 .. 200 ] characters(Name)\Srequired
configurationobject(DashboardConfiguration)required
descriptionstring or null(Description)
Any of:
<= 2000 characters
string
visibilitystring(Visibility)
Default:"private"
Enum:"private""shared"
POST
/reporting/v1/dashboards
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
  --url 'https://your-instance.example.invalid/reporting/v1/dashboards' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "name": "string",
  "description": "string",
  "visibility": "private",
  "configuration": {
    "version": 1,
    "period": {
      "period_start": "2019-08-24",
      "period_end": "2019-08-24",
      "relative_months": 1
    },
    "widgets": [
      {
        "id": "string",
        "query_id": "6fa29c22-6bab-424a-859e-a13a5c607e72",
        "x": 0,
        "y": 0,
        "w": 6,
        "h": 5,
        "use_dashboard_period": true,
        "period_field": "string"
      }
    ]
  }
}'

Responses

Successful Response

Bodyapplication/json
namestring, [ 1 .. 200 ] characters(Name)\Srequired
configurationobject(DashboardConfiguration)required
revisioninteger, >= 1(Revision)required
dashboard_idstring, (uuid)(Dashboard Id)required
owner_actor_idstring, (uuid)(Owner Actor Id)required
created_atstring, (date-time)(Created At)required
updated_atstring, (date-time)(Updated At)required
descriptionstring or null(Description)
Any of:
<= 2000 characters
string
visibilitystring(Visibility)
Default:"private"
Enum:"private""shared"
Response
{ "name": "string", "description": "string", "visibility": "private", "configuration": { "version": 1, "period": { … }, "widgets": [ … ] }, "revision": 1, "dashboard_id": "6904cee6-5a01-4acf-92d9-7e185cd226de", "owner_actor_id": "3bf288fc-ba48-4ae4-9802-b59cc9a4b067", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }

Get Dashboard

Request

Security
BearerAuth
Path
dashboard_idstring, (uuid)(Dashboard Id)required
GET
/reporting/v1/dashboards/{dashboard_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/dashboards/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Bodyapplication/json
namestring, [ 1 .. 200 ] characters(Name)\Srequired
configurationobject(DashboardConfiguration)required
revisioninteger, >= 1(Revision)required
dashboard_idstring, (uuid)(Dashboard Id)required
owner_actor_idstring, (uuid)(Owner Actor Id)required
created_atstring, (date-time)(Created At)required
updated_atstring, (date-time)(Updated At)required
descriptionstring or null(Description)
Any of:
<= 2000 characters
string
visibilitystring(Visibility)
Default:"private"
Enum:"private""shared"
Response
{ "name": "string", "description": "string", "visibility": "private", "configuration": { "version": 1, "period": { … }, "widgets": [ … ] }, "revision": 1, "dashboard_id": "6904cee6-5a01-4acf-92d9-7e185cd226de", "owner_actor_id": "3bf288fc-ba48-4ae4-9802-b59cc9a4b067", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }

Update Dashboard

Request

Security
BearerAuth
Path
dashboard_idstring, (uuid)(Dashboard Id)required
Bodyapplication/jsonrequired
namestring, [ 1 .. 200 ] characters(Name)\Srequired
configurationobject(DashboardConfiguration)required
revisioninteger, >= 1(Revision)required
descriptionstring or null(Description)
Any of:
<= 2000 characters
string
visibilitystring(Visibility)
Default:"private"
Enum:"private""shared"
PUT
/reporting/v1/dashboards/{dashboard_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request PUT \
  --url 'https://your-instance.example.invalid/reporting/v1/dashboards/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "name": "string",
  "description": "string",
  "visibility": "private",
  "configuration": {
    "version": 1,
    "period": {
      "period_start": "2019-08-24",
      "period_end": "2019-08-24",
      "relative_months": 1
    },
    "widgets": [
      {
        "id": "string",
        "query_id": "6fa29c22-6bab-424a-859e-a13a5c607e72",
        "x": 0,
        "y": 0,
        "w": 6,
        "h": 5,
        "use_dashboard_period": true,
        "period_field": "string"
      }
    ]
  },
  "revision": 1
}'

Responses

Successful Response

Bodyapplication/json
namestring, [ 1 .. 200 ] characters(Name)\Srequired
configurationobject(DashboardConfiguration)required
revisioninteger, >= 1(Revision)required
dashboard_idstring, (uuid)(Dashboard Id)required
owner_actor_idstring, (uuid)(Owner Actor Id)required
created_atstring, (date-time)(Created At)required
updated_atstring, (date-time)(Updated At)required
descriptionstring or null(Description)
Any of:
<= 2000 characters
string
visibilitystring(Visibility)
Default:"private"
Enum:"private""shared"
Response
{ "name": "string", "description": "string", "visibility": "private", "configuration": { "version": 1, "period": { … }, "widgets": [ … ] }, "revision": 1, "dashboard_id": "6904cee6-5a01-4acf-92d9-7e185cd226de", "owner_actor_id": "3bf288fc-ba48-4ae4-9802-b59cc9a4b067", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }

Delete Dashboard

Request

Security
BearerAuth
Path
dashboard_idstring, (uuid)(Dashboard Id)required
Query
revisioninteger, >= 1(Revision)required
DELETE
/reporting/v1/dashboards/{dashboard_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request DELETE \
  --url 'https://your-instance.example.invalid/reporting/v1/dashboards/497f6eca-6276-4993-bfeb-53cbbbba6f08?revision=1' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Service Document

Request

Security
BearerAuth
GET
/reporting/v1/odata/
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Metadata

Request

Security
BearerAuth
GET
/reporting/v1/odata/$metadata
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/$metadata' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Customers List

Request

Security
BearerAuth
GET
/reporting/v1/odata/Customers
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/Customers' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Customers Count

Request

Security
BearerAuth
GET
/reporting/v1/odata/Customers/$count
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/Customers/$count' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Customers Get

Request

Security
BearerAuth
Path
keystring(Key)required
GET
/reporting/v1/odata/Customers({key})
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/Customers(string)' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Products List

Request

Security
BearerAuth
GET
/reporting/v1/odata/Products
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/Products' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Products Count

Request

Security
BearerAuth
GET
/reporting/v1/odata/Products/$count
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/Products/$count' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Products Get

Request

Security
BearerAuth
Path
keystring(Key)required
GET
/reporting/v1/odata/Products({key})
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/Products(string)' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Productgroups List

Request

Security
BearerAuth
GET
/reporting/v1/odata/ProductGroups
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/ProductGroups' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Productgroups Count

Request

Security
BearerAuth
GET
/reporting/v1/odata/ProductGroups/$count
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/ProductGroups/$count' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Productgroups Get

Request

Security
BearerAuth
Path
keystring(Key)required
GET
/reporting/v1/odata/ProductGroups({key})
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/ProductGroups(string)' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Services List

Request

Security
BearerAuth
GET
/reporting/v1/odata/Services
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/Services' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Services Count

Request

Security
BearerAuth
GET
/reporting/v1/odata/Services/$count
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/Services/$count' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Services Get

Request

Security
BearerAuth
Path
keystring(Key)required
GET
/reporting/v1/odata/Services({key})
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/Services(string)' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Servicelifecycle List

Request

Security
BearerAuth
GET
/reporting/v1/odata/ServiceLifecycle
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/ServiceLifecycle' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Servicelifecycle Count

Request

Security
BearerAuth
GET
/reporting/v1/odata/ServiceLifecycle/$count
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/ServiceLifecycle/$count' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Servicelifecycle Get

Request

Security
BearerAuth
Path
keystring(Key)required
GET
/reporting/v1/odata/ServiceLifecycle({key})
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/ServiceLifecycle(string)' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Serviceproducts List

Request

Security
BearerAuth
GET
/reporting/v1/odata/ServiceProducts
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/ServiceProducts' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Serviceproducts Count

Request

Security
BearerAuth
GET
/reporting/v1/odata/ServiceProducts/$count
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/ServiceProducts/$count' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Serviceproducts Get

Request

Security
BearerAuth
Path
keystring(Key)required
GET
/reporting/v1/odata/ServiceProducts({key})
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/ServiceProducts(string)' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Billingdocuments List

Request

Security
BearerAuth
GET
/reporting/v1/odata/BillingDocuments
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/BillingDocuments' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Billingdocuments Count

Request

Security
BearerAuth
GET
/reporting/v1/odata/BillingDocuments/$count
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/BillingDocuments/$count' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Billingdocuments Get

Request

Security
BearerAuth
Path
keystring(Key)required
GET
/reporting/v1/odata/BillingDocuments({key})
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/BillingDocuments(string)' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Billinglines List

Request

Security
BearerAuth
GET
/reporting/v1/odata/BillingLines
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/BillingLines' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Billinglines Count

Request

Security
BearerAuth
GET
/reporting/v1/odata/BillingLines/$count
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/BillingLines/$count' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Billinglines Get

Request

Security
BearerAuth
Path
keystring(Key)required
GET
/reporting/v1/odata/BillingLines({key})
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/BillingLines(string)' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Openitems List

Request

Security
BearerAuth
GET
/reporting/v1/odata/OpenItems
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/OpenItems' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Openitems Count

Request

Security
BearerAuth
GET
/reporting/v1/odata/OpenItems/$count
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/OpenItems/$count' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Openitems Get

Request

Security
BearerAuth
Path
keystring(Key)required
GET
/reporting/v1/odata/OpenItems({key})
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/OpenItems(string)' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Settlements List

Request

Security
BearerAuth
GET
/reporting/v1/odata/Settlements
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/Settlements' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Settlements Count

Request

Security
BearerAuth
GET
/reporting/v1/odata/Settlements/$count
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/Settlements/$count' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Settlements Get

Request

Security
BearerAuth
Path
keystring(Key)required
GET
/reporting/v1/odata/Settlements({key})
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/Settlements(string)' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Settlementallocations List

Request

Security
BearerAuth
GET
/reporting/v1/odata/SettlementAllocations
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/SettlementAllocations' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Settlementallocations Count

Request

Security
BearerAuth
GET
/reporting/v1/odata/SettlementAllocations/$count
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/SettlementAllocations/$count' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Settlementallocations Get

Request

Security
BearerAuth
Path
keystring(Key)required
GET
/reporting/v1/odata/SettlementAllocations({key})
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/SettlementAllocations(string)' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Cashbooks List

Request

Security
BearerAuth
GET
/reporting/v1/odata/Cashbooks
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/Cashbooks' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Cashbooks Count

Request

Security
BearerAuth
GET
/reporting/v1/odata/Cashbooks/$count
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/Cashbooks/$count' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Cashbooks Get

Request

Security
BearerAuth
Path
keystring(Key)required
GET
/reporting/v1/odata/Cashbooks({key})
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/Cashbooks(string)' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Cashbookentries List

Request

Security
BearerAuth
GET
/reporting/v1/odata/CashbookEntries
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/CashbookEntries' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Cashbookentries Count

Request

Security
BearerAuth
GET
/reporting/v1/odata/CashbookEntries/$count
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/CashbookEntries/$count' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content

Reporting Odata Cashbookentries Get

Request

Security
BearerAuth
Path
keystring(Key)required
GET
/reporting/v1/odata/CashbookEntries({key})
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/reporting/v1/odata/CashbookEntries(string)' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Response
No content